summaryrefslogtreecommitdiffstats
path: root/misc/ibus-table-chinese
diff options
context:
space:
mode:
Diffstat (limited to 'misc/ibus-table-chinese')
-rw-r--r--misc/ibus-table-chinese/README23
-rw-r--r--misc/ibus-table-chinese/doinst.sh10
-rw-r--r--misc/ibus-table-chinese/ibus-table-chinese.SlackBuild83
-rw-r--r--misc/ibus-table-chinese/ibus-table-chinese.info12
-rw-r--r--misc/ibus-table-chinese/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/misc/ibus-table-chinese/README b/misc/ibus-table-chinese/README
new file mode 100644
index 0000000000..31f6f10d1e
--- /dev/null
+++ b/misc/ibus-table-chinese/README
@@ -0,0 +1,23 @@
+ibus-table-chinese provide the following input method tables for
+IBus-Table, an input method that support table input methods.
+
+Array30 (行列30輸入法)
+CangJie3 (倉頡輸入法第三代)
+CangJie5 (倉頡輸入法第五代)
+CangJieBig (倉頡輸入法大字集)
+Cantonese Pinyin (廣東拼音輸入法)
+Canton HK (港式廣東話輸入法)
+Jyutping (粵語拼音輸入法)
+Easy Big (輕鬆輸入法大字集)
+Erbi (二笔)
+Erbi QS (二笔青松)
+Quick 3 (速成輪入法第三代)
+Quick 5 (速成輪入法第五代)
+Quick Classic (速成輪入法古典版)
+Smart Cang Jie 6 (快速倉頡輸入法六代)
+Stroke5 (筆順五碼)
+Wu (吳語輸入法)
+Wubi-Heifeng86 (海峰五筆86)
+Yong (永码)
+
+This package is released under GPLv3.
diff --git a/misc/ibus-table-chinese/doinst.sh b/misc/ibus-table-chinese/doinst.sh
new file mode 100644
index 0000000000..f6a6676883
--- /dev/null
+++ b/misc/ibus-table-chinese/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/ibus-table-chinese/ibus-table-chinese.SlackBuild b/misc/ibus-table-chinese/ibus-table-chinese.SlackBuild
new file mode 100644
index 0000000000..c9e4733461
--- /dev/null
+++ b/misc/ibus-table-chinese/ibus-table-chinese.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# Slackware build script for ibus-table-chinese
+
+# Copyright 2023 Guan-Zhong Huang, Taiwan <imprazaguy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ibus-table-chinese
+VERSION=${VERSION:-1.8.12}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/cmake-fedora-2.9.2-modules-only.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+cmake \
+ -Wno-dev \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/ibus-table-chinese/ibus-table-chinese.info b/misc/ibus-table-chinese/ibus-table-chinese.info
new file mode 100644
index 0000000000..fab7ecbe9a
--- /dev/null
+++ b/misc/ibus-table-chinese/ibus-table-chinese.info
@@ -0,0 +1,12 @@
+PRGNAM="ibus-table-chinese"
+VERSION="1.8.12"
+HOMEPAGE="https://github.com/mike-fabian/ibus-table-chinese"
+DOWNLOAD="https://github.com/mike-fabian/ibus-table-chinese/archive/1.8.12/ibus-table-chinese-1.8.12.tar.gz \
+ https://releases.pagure.org/cmake-fedora/cmake-fedora-2.9.2-modules-only.tar.gz"
+MD5SUM="1b7be82c986e7a0646f7301587dc48c7 \
+ 21f19ada6922886c060d46d5a36c6269"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gob2 libchewing"
+MAINTAINER="Kenneth Chan"
+EMAIL="kenneth.t.chan@gmail.com"
diff --git a/misc/ibus-table-chinese/slack-desc b/misc/ibus-table-chinese/slack-desc
new file mode 100644
index 0000000000..63346314b2
--- /dev/null
+++ b/misc/ibus-table-chinese/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ibus-table-chinese: ibus-table-chinese (Chinese tables for IBus-Table)
+ibus-table-chinese:
+ibus-table-chinese: ibus-table-chinese provide the following input method tables for
+ibus-table-chinese: IBus-Table, an input method that support table input methods.
+ibus-table-chinese:
+ibus-table-chinese: Array30, CangJie3, CangJie5, CangJieBig, Cantonese Pinyin, Canton HK
+ibus-table-chinese: Jyutping, Easy Big, Erbi, Erbi QS, Quick 3, Quick 5, Quick Classic,
+ibus-table-chinese: Smart Cang Jie 6, Stroke5, Wu, Wubi-Heifeng86, Yong
+ibus-table-chinese:
+ibus-table-chinese: https://github.com/definite/ibus-table-chinese
+ibus-table-chinese: